header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  z-index: 50;
  backdrop-filter: blur(16px);
}

.header-container {
  max-width: 1050px;
  margin: 0 auto;
  padding: 16px 24px;

  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  gap: 50px;
}

.header-left {
  display: flex;
  flex-direction: row;
  gap: 105px;
  align-items: center;
  justify-content: space-between;
}

.center {
  min-width: 480px;
  height: 32px;
}

.center ul {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  list-style: none;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  gap: 1.5rem;
}

.center li {
  height: 32px;
  padding: 0;
  margin: 0;
  display: inline-flex;
  align-items: center;
  justify-content: flex-start;
  flex-shrink: 0;
}

.header-center-main {
  text-align: center;
  text-decoration: none;
  color: #fff;
  height: 32px;
  padding: 4px 12px;
  text-decoration: none;
  white-space: nowrap;
  font-size: 0.9rem;
  font-weight: 500;
  line-height: 150%;
  cursor: pointer;
}

.right {
  width: 272.08px;
  height: 33.5px;

  display: flexbox;
  justify-content: center;
  align-items: center;
  padding: 0;
  margin: 0;
}

.right-container {
  width: 248.609px;
  height: 33.5px;
  display: flex;
  gap: 0.5rem;
}

.right-container a {
  text-decoration: none;
  height: 33.5px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: calc(var(--spacing) * 1.5);
  padding: 4.5px 12px;
  border-radius: 3.40282e38px;
  cursor: pointer;
  font-size: 13px;
  font-weight: 500;
}

.right-btn-ghost {
  width: 123.47px;
  background-color: lab(100% 0 0 / 0.05);
  border: 1px solid lab(100% 0 0 / 0.05);
  color: #fff;
}

.right-btn-sec {
  width: 117.14px;
  background-color: #fff;
  border: 1px solid #fff;
  color: #08090a;
}

header.scrolled {
  background-color: transparent;
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);
}

header.scrolled .header-center-main {
  color: #08090a;
}

header.scrolled .right-btn-ghost {
  color: #08090a;
  background-color: rgba(8, 9, 10, 0.05);
}

header.scrolled .right-btn-sec {
  background-color: #08090a;
  color: #fff;
  border: none;
}

.header-logo-wrap {
  position: relative;
  display: inline-block;
}

.header-logo-wrap .header-logo-default {
  display: block;
}

.header-logo-wrap .header-logo-scrolled {
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
  pointer-events: none;
}

header.scrolled .header-logo-wrap .header-logo-default {
  opacity: 0;
  pointer-events: none;
}

header.scrolled .header-logo-wrap .header-logo-scrolled {
  position: absolute;
  opacity: 1;
  pointer-events: auto;
}
